/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.extension.brick;

import org.fortiss.af3.component.model.InputPort;
import org.fortiss.af3.platform.raspberry.generator.framework.IReadableGeneratorExtension;
import org.fortiss.af3.platform.raspberry.model.brick.AccelerationYSensor;

/**
 * Generator extension for {@link AccelerationYSensor}s.
 * 
 * @author hoelzl
 */
public class AccelerationYSensorGeneratorExtension extends
		IMUSensorGeneratorExtensionBase<AccelerationYSensor> implements IReadableGeneratorExtension {
	/** Constructor. */
	public AccelerationYSensorGeneratorExtension(AccelerationYSensor modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	public String getReadCode(InputPort logicalSignal, String targetVariable) {
		return targetVariable + " = " + getAccValueVariable("Y") + ";\n";
	}

	/** {@inheritDoc} */
	@Override
	public String getNoValReadCode(InputPort logicalSignal) {
		return getAccInvalidCheckFunctionCall();
	}
}
